<?php

namespace Modules\St\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class CustomerAttachments extends Model
{
    protected $table = 'st_customer_attachments';
    protected $primaryKey = 'id';
    use HasFactory,LogsActivity;

    protected $fillable = [];
    protected static $logAttributes = [
        'id',
        'customer_id',
        'file_path',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "st_customer_attachments";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
    
    /*protected static function newFactory()
    {
        return \Modules\St\Database\factories\CustomerAttachmentsFactory::new();
    }*/
}
