<?php

namespace Modules\St\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class Product extends Model
{
    protected $table = 'st_products';
    protected $primaryKey = "product_primary_id";
    use HasFactory,LogsActivity;
    protected static $logAttributes = [
        'product_primary_id',
        'product_id',
        'product_name',
        'product_description',
        'uom_id',
        'sku',
        'group_id_level_1',
        'group_id_level_2',
        'group_id_level_3',
        'reorder_level',
        'reorder_quantity',
        'product_type_id',
        'gl_analysis_id',
        'sms_alert',
        'email_alert',
        'notification',
        'status',
        'image_path',
        'notes',
        'weight',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "st_products";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
    //protected $fillable = [];
    
    // protected static function newFactory()
    // {
    //     return \Modules\St\Database\factories\ProductFactory::new();
    // }
}
