var GROUP_ID = undefined;
$(document).ready(function () {
    var table = $('#tblEmailGroup').DataTable({
        "scrollX": true,
        "order": [],
        "columns": [
            { "data": "group_name" },
            { "data": "add" },
            { "data": "status" },
            { "data": "delete" },
        ],
        columnDefs: [
            { width: 80, targets: 1 },
            { width: 100, targets: 2 },
            { width: 80, targets: 3 },
        ],
    });

    table.columns(2).visible(false);
    table.columns(3).visible(false);

    allGroup();


    $('#btnSaveEmail').on('click', function () {

        if (GROUP_ID != undefined) {
            saveEmail(GROUP_ID);
        } else {
            showWarningMessage('Invalied Email group.');
        }
    });
});


function allGroup() {
    $.ajax({
        type: "GET",
        url: "/st/EmailGroupController/allGroup",
        async: false,
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                appendTableRow(result);

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}





function appendTableRow(result) {

    var data = [];
    for (i = 0; i < result.length; i++) {


        var email_group_id = result[i]['email_group_id'];
        var group_name = result[i]['name'];
        var status = result[i]['status'];
        var string_id = "'" + email_group_id + "'";

        var switch_slider = '<label class="switch"><input type="checkbox" id=' + "swt" + email_group_id + ' name="status"   onchange="change_status(' + string_id + ')"><span class="slider round"></span></label>';
        if (status == '1') {
            switch_slider = '<label class="switch"><input type="checkbox" id=' + "swt" + email_group_id + ' name="status" checked  onchange="change_status(' + string_id + ')"><span class="slider round"></span></label>';
        }
        data.push({
            "group_name": group_name,
            "add": '<button class="btn btn-primary" onclick="add(' + string_id + ')"><i class="fa fa-plus" aria-hidden="true"></i></button>',
            "status": switch_slider,
            "delete": '<button class="btn btn-danger" onclick="_delete(' + string_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
        });

    }



    var table = $('#tblEmailGroup').DataTable();
    table.clear();
    table.rows.add(data).draw();



}


function add(group_id) {
    GROUP_ID = group_id;
    getAllEmails(group_id);
    $('#emailGroupModal').modal('show');
}


function change_status(group_id) {
    alert(group_id);
}


function _delete(group_id) {
    alert(group_id);
}



function saveEmail(group_id) {
    $.ajax({
        type: "POST",
        url: '/st/EmailGroupController/saveEmail',
        data: {
            'group_id': group_id,
            'name': $('#txtName').val(),
            'email': $('#txtEmail').val(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {
                $('#txtName').val('');
                $('#txtEmail').val('');
                showSuccessMessage("Email has been saved successfully...");
                getAllEmails(group_id);


            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}



function getAllEmails(group_id) {
    $.ajax({
        type: "GET",
        url: "/st/EmailGroupController/getAllEmails/" + group_id,
        async: false,
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                console.log(result);
                $('#tblEmail').empty();

                for (var i = 0; i < result.length; i++) {

                    var string_id = "'" + result[i]['id'] + "'";
                    var status = result[i]['status'];

                    var switch_slider = '<label class="switch"><input type="checkbox" id=' + "swt" + result[i]['id'] + ' name="status"   onchange="change_status_email(' + string_id + ')"><span class="slider round"></span></label>';
                    if (status == '1') {
                        string_status = '0';
                        switch_slider = '<label class="switch"><input type="checkbox" id=' + "swt" + result[i]['id'] + ' name="status" checked  onchange="change_status_email(' + string_id + ')"><span class="slider round"></span></label>';
                    }

                    var tbody = '<tr>';
                    tbody += '<td>' + result[i]['name'] + '</td>';
                    tbody += '<td>' + result[i]['email'] + '</td>';
                    tbody += '<td>' + switch_slider + '</td>';
                    tbody += '<td><button class="btn btn-danger" onclick="deleteEmail(' + string_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button></td>';
                    tbody += '</tr>';
                    $('#tblEmail').append(tbody);
                }



            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}


function change_status_email(id) {

    $.ajax({
        type: "PUT",
        url: '/st/EmailGroupController/change_status_email/' + id,
        data: {},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("Status has been changed successfully...");
                getAllEmails(GROUP_ID);


            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}

function deleteEmail(id) {

    $.ajax({
        type: "DELETE",
        url: '/st/EmailGroupController/deleteEmail/' + id,
        data: {},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("Email deleted successfully...");
                getAllEmails(GROUP_ID);


            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}



/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}
